Groovydoc.Link (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.tasks.javadoc

## Class Groovydoc.Link

- java.lang.Object
- - org.gradle.api.tasks.javadoc.Groovydoc.Link

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    Groovydoc

      public static class Groovydoc.Link
      extends java.lang.Object
      implements java.io.Serializable

  A Link class represent a link between groovydoc/javadoc output and url.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Link​(java.lang.String url, java.lang.String... packages)` | Constructs a `Link`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.util.List<java.lang.String>` | `getPackages​()` | Returns a list of package prefixes to be linked with an external site.
    `java.lang.String` | `getUrl​()` | Returns the base url for the external site.
    `int` | `hashCode​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link​(java.lang.String url,
                      java.lang.String... packages)

      Constructs a `Link`.
      Parameters:
        `url` - Base URL of external site
        `packages` - list of package prefixes

  - ### Method Detail

    - #### getPackages

          public java.util.List<java.lang.String> getPackages​()

      Returns a list of package prefixes to be linked with an external site.

    - #### getUrl

          public java.lang.String getUrl​()

      Returns the base url for the external site.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`